import { httpApp } from "@/plugins/axiosApp";

/** 项目分页查询 */
export function getProjectList(params: {
  status?: string;
  name?: string;
  rootOrgId: number;
  pageNo?: number;
  pageSize?: number;
}) {
  return httpApp.post("/api/ess/project/page", params);
}

/** 更新项目 */
export function updateProject(params: {
  name?: string;
  id?: number;
  rootOrgId?: number;
}) {
  return httpApp.post("/api/ess/project/save", params);
}

/** 删除项目 */
export function deleteProjects(ids: number[]) {
  return httpApp.post(
    `/api/ess/project/delete`,
    new URLSearchParams([["ids", ids.join(",")]])
  );
}
